ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Problems building Ant 1.7.0 and JDK 1.6.0
Date Fri, 12 Jan 2007 05:24:29 GMT
On Thu, 11 Jan 2007, Jacob Kjome <hoju@visi.com> wrote:
> At 11:05 PM 1/11/2007, you wrote:

>>I'm not sure whether it is going to stay that way or whether we make
>>JUnit optional again in the future, but for Ant 1.7.0, JUnit is
>>required.
> 
> If JUnit is now required, shouldn't 1.7.x then ship with JUnit in
> the lib directory?

Maybe.

For 1.7.0 we simply didn't realize that we made junit a hard
dependency and thus never thought about adding it to the release.

Personally I'd prefer to make it optional again for 1.7.1 and simply
skip ant-testutil.jar if it's not there in the same way we skip
creating any of the optional tasks.  But this is a discussion for the
dev list.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message